annotatedDataset {Biobase} | R Documentation

## Virtual superset for 'exprSet'.

### Description

This virtual class is used to derive the `exprSet` class. It defines the `phenoData` specific methods

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`phenoData`:
  This is an instance of class `phenoData` containing the patient (or case) level data. The columns of the pData slot of this entity represent variables and the rows represent patients or cases.
`reporterInfo`
  class:`data.frameOrNULL`

### Methods

`$(annotatedDataset)` and `$(annotatedDataset, value)<-`
  An old-style method. This operator extracts the named component of the `pData` slot in `phenoData`.
`[[(index)` and `[[(index, value)<-`:
  Not documented
`phenoData(annotatedDataset)` and `phenoData(annotatedDataset, value)<-`
  Methods to access/update `phenoData` slot
`reporterInfo(annotatedDataset)` and `reporterInfo(annotatedDataset, value)<-`
  Methods to access/update `reporterInfo` slot
`pData(annotatedDataset)` and `pData(exprSet, value)<-`
  Not documented
`varLabels(annotatedDataset)`
  Not documented

### Warning

This is a virtual class and no objects of this class should be created from it. Instead, create exprSet or eSet

### Author(s)

Alan Katz

### See Also

`exprSet`, `phenoData`

[Package Biobase version 1.16.3 Index]